## gnome-software 3.30.6

=== meson_options.txt ===
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('gspell', type : 'boolean', value : true, description : 'enable gspell')
option('gnome_desktop', type : 'boolean', value : true, description : 'enable gnome-desktop')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('packagekit', type : 'boolean', value : true, description : 'enable PackageKit support')
option('packagekit_autoremove', type : 'boolean', value : false, description : 'autoremove packages in PackageKit')
option('polkit', type : 'boolean', value : true, description : 'enable PolKit support')
option('fwupd', type : 'boolean', value : true, description : 'enable fwupd support')
option('flatpak', type : 'boolean', value : true, description : 'enable Flatpak support')
option('rpm_ostree', type : 'boolean', value : false, description : 'enable rpm-ostree support')
option('steam', type : 'boolean', value : true, description : 'enable Steam support')
option('shell_extensions', type : 'boolean', value : true, description : 'enable shell extensions support')
option('odrs', type : 'boolean', value : true, description : 'enable ODRS support')
option('ubuntuone', type : 'boolean', value : true, description : 'enable UbuntuOne support')
option('ubuntu_reviews', type : 'boolean', value : true, description : 'enable Ubuntu reviews support')
option('webapps', type : 'boolean', value : true, description : 'enable webapps support')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('snap', type : 'boolean', value : false, description : 'enable Snap support')
option('external_appstream', type : 'boolean', value : false, description : 'enable external AppStream support')
option('valgrind', type : 'boolean', value : true, description : 'enable Valgrind debugging integration')
option('gtk_doc', type : 'boolean', value : true, description : 'enable API reference')

=== debian/changelog ===
gnome-software (3.30.6-5) unstable; urgency=medium

  * Cherry-pick 8 Snap patches via Ubuntu
    - Support switching channels, add verified developer support, use
      "wide scope" searching (search all channels), use the new media API,
      don't show "missing screenshot" placeholder
  * Bump minimum libsnapd-glib-dev to 1.45

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Feb 2019 21:09:02 -0500

gnome-software (3.30.6-4) unstable; urgency=medium

  * Re-enable Flatpak on mipsel
  * Don't enable snap on ppc64 since snapd never built there

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 10 Jan 2019 17:25:24 -0500

gnome-software (3.30.6-3) unstable; urgency=medium

  * Don't try building Flatpak support on architectures where Flatpak
    isn't built

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Jan 2019 01:44:44 -0500

gnome-software (3.30.6-2) unstable; urgency=medium

  * Recommend instead of Suggest fwupd (Closes: #916036)
  * Enable fwupd on all Linux architectures
  * Drop obsolete Build-Depends on intltool
  * Add Conflicts: sessioninstaller
    - since it also provides the PackageKit session interface
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Jan 2019 17:26:30 -0500

gnome-software (3.30.6-1) unstable; urgency=medium

  * New upstream release
  * Bump required libappstream-glib-dev to >= 0.7.14
  * Bump minimum PackageKit to 1.1.11 for autoremove support
  * Drop obsolete Build-Depends on liboauth-dev and libsqlite3-dev
  * Update configure flags
  * Add -Wl,-O1 to our LDFLAGS
  * Recommend gnome-software-plugin-snap on Ubuntu
  * Mark universe packages as free on Ubuntu

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 21 Dec 2018 10:16:34 -0500

gnome-software (3.30.5-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump minimum libglib2.0-dev to 2.56.0
  * Enable packagekit autoremove support
  * Bump minimum libpackagekit-glib2-dev to 1.1.11 for autoremove support

  [ Andrea Azzarone ]
  * Bump Standards-Version to 4.2.1
  * Set Rules-Requires-Root to no

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Nov 2018 16:48:13 -0500

gnome-software (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump build-dependencies
  * debian/rules: Rename the options, the "enable" part has been removed
  * Remove limba plugin, dropped upstream

 -- Laurent Bigonville <bigon@debian.org>  Fri, 05 Oct 2018 11:57:57 +0200

gnome-software (3.28.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 14 May 2018 22:01:33 -0400

gnome-software (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4
  * debian/rules: drop obsolete dh_translations workaround

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 10 Apr 2018 19:45:35 -0400

gnome-software (3.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Mar 2018 17:22:24 -0400

gnome-software (3.27.92-1) unstable; urgency=medium

  * New upstream release candidate
  * Update gsettings schema names for new release ("sources" renamed to
    "repos") (Closes: #892456)
  * Depend on libgtk3-perl for debconf's GNOME backend
  * Bump minimum libfwupd-dev to 1.0.3
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Mar 2018 21:13:52 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-software
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream,
               appstream-util,
               debhelper-compat (= 12),
               docbook-xsl,
               gnome-pkg-tools (>= 0.10),
               gsettings-desktop-schemas-dev (>= 3.18),
               gtk-doc-tools,
               libappstream-glib-dev (>= 0.7.14),
               libflatpak-dev (>= 0.99.3) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
               libfwupd-dev (>= 1.0.3) [linux-any],
               libglib2.0-dev (>= 2.56.0),
               libgnome-desktop-3-dev (>= 3.18.0),
               libgspell-1-dev,
               libgtk-3-dev (>= 3.22.4),
               libgudev-1.0-dev [linux-any],
               libjson-glib-dev (>= 1.2.0),
               libpackagekit-glib2-dev (>= 1.1.11),
               libpolkit-gobject-1-dev,
               libsecret-1-dev,
               libsnapd-glib-dev (>= 1.45) [amd64 arm64 armel armhf i386 ppc64el s390x],
               libsoup2.4-dev (>= 2.52.0),
               libxml2-utils,
               meson (>= 0.40),
               pkg-config,
               valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
Homepage: https://wiki.gnome.org/Apps/Software

Package: gnome-software
Architecture: any
Depends: appstream,
         apt-config-icons,
         gnome-software-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.18),
         libgtk3-perl,
         packagekit (>= 1.1.11),
         software-properties-gtk,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: gnome-packagekit-session (<< 3.16.0-2~)
Breaks: gnome-packagekit-session (<< 3.16.0-2~)
Conflicts: sessioninstaller
Recommends: ${plugin:Recommends},
            fwupd [linux-any]
Suggests: apt-config-icons-hidpi,
          gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
          ${plugin:Suggests}
Description: Software Center for GNOME
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: gnome-software-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Software Center for GNOME (common files)
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architecture-independent files.

Package: gnome-software-plugin-flatpak
Architecture: amd64 arm64 armel armhf i386 mips mips64el ppc64el s390x hppa powerpc powerpcspe ppc64
Depends: flatpak,
         gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Flatpak support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Flatpak plugin.

Package: gnome-software-plugin-snap
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: gnome-software (= ${binary:Version}),
         snapd [amd64 arm64 armel armhf i386 ppc64el],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: snapd [s390x]
Breaks: gnome-software (<< 3.22.3)
Replaces: gnome-software (<< 3.22.3)
Description: Snap support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Snap plugin.

Package: gnome-packagekit-session
Architecture: all
Section: oldlibs
Depends: gnome-software (>= ${source:Version}),
         ${misc:Depends}
Description: Transitional package (gnome-packagekit-session -> gnome-software)
 Transitional dummy package replacing gnome-packagekit-session with
 gnome-software.
 .
 The PackageKit session interface is no separate component anymore, but built
 into GNOME-Software.

Package: gnome-software-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libappstream-glib-dev (>= 0.7.14),
         libglib2.0-dev (>= 2.56.0),
         libgtk-3-dev (>= 3.22.4),
         libsoup2.4-dev (>= 2.52.0),
         ${misc:Depends}
Suggests: gnome-software-doc
Description: Software Center for GNOME - development files
 Software lets you install and update applications and system extensions.
 .
 This package contains headers and other files required when compiling external
 plugins for use with Software.

Package: gnome-software-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Software Center for GNOME - documentation
 Software lets you install and update applications and system extensions.
 .
 This package contains documentation for use when developing plugins for
 Software.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

# Fix the Flatpak plugin: https://launchpad.net/bugs/1650783
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

GS_CONFIGURE_FLAGS = \
	-Dgnome_desktop=true \
	-Dodrs=true \
	-Dostree=false \
	-Dpackagekit=true \
	-Dpackagekit_autoremove=true \
	-Drpm_ostree=false \
	-Dubuntu_reviews=false \

# these are conditionally re-enabled later
GS_CONFIGURE_FLAGS += \
	-Dfwupd=false \
	-Dflatpak=false \
	-Dgudev=false \
	-Dvalgrind=false

ifeq ($(DEB_HOST_ARCH_OS), linux)
	# Enable Flatpak support on supported architectures
	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
		GS_CONFIGURE_FLAGS += -Dflatpak=true
	endif

	# Enable GUdev support on Linux
	GS_CONFIGURE_FLAGS += -Dgudev=true
	
	# Enable fwupd support on Linux
	GS_CONFIGURE_FLAGS += -Dfwupd=true

	# Enable snap support on supported architectures
	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
		GS_CONFIGURE_FLAGS += -Dsnap=true
	endif

	# Enable valgrind support on supported architectures
	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64el s390x))
		GS_CONFIGURE_FLAGS += -Dvalgrind=true
	endif
endif

DISTRO_ID = debian
FREE_REPOS = \'@DISTRO@-*-main\'
FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	DISTRO_ID = ubuntu
	FREE_REPOS = \'@DISTRO@-*-main\', \'@DISTRO@-*-universe\'
	FREE_URL = https:\/\/www.ubuntu.com\/about\/about-ubuntu\/licensing
else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
	DISTRO_ID = tanglu
else ifeq (yes,$(shell dpkg-vendor --derives-from PureOS && echo yes))
	DISTRO_ID = pureos
endif

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-software/ \
			     $(GS_CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install
ifneq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/libgs_plugin_ubuntu*
endif

override_dh_installgsettings:
	sed "s#@FREE_REPOS@#$(FREE_REPOS)#g" debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
	sed -i "s/@DISTRO@/$(DISTRO_ID)/g" debian/gnome-software.gsettings-override
	sed -i "s/@URL@/$(FREE_URL)/g" debian/gnome-software.gsettings-override
	dh_installgsettings

override_dh_install-arch:
	# Remove unused files
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/*.a
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/*.la
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/libgs_plugin_fedora*
	dh_install

override_dh_missing:
	dh_missing --fail-missing

	# These files are split out to separate packages
	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_flatpak*
	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_snap*
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Flatpak.metainfo.xml
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgs_plugin

# DISABLED
override_dh_auto_test:

override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-snap [linux-any]'
else
	dh_gencontrol -- -Vplugin:Suggests='gnome-software-plugin-snap [linux-any]'
endif

override_dh_clean:
	rm -f debian/gnome-software.gsettings-override
	dh_clean

## gnome-software 3.35.91

=== debian/changelog ===
gnome-software (3.35.91-0ubuntu1) focal; urgency=medium

  * New upstream release
  * debian/control:
    - Add build-depends on libostree-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 21 Feb 2020 15:23:24 +1300

gnome-software (3.35.2-0ubuntu2) focal; urgency=medium

  * d/p/0029-Fix-CSS-colors-to-work-correctly-with-Yaru-Adwaita.patch:
    - Use theme exported colors (LP: #1862056)
  * d/p/0001-GsApp-Add-a-new-do-not-auto-update-quirk.patch:
  * d/p/0002-fwupd-Use-new-GS_APP_QUIRK_DO_NOT_AUTO_UPDATE.patch:
  * d/p/0003-snap-Stop-snaps-from-being-automatically-updated.patch:
    - Stop snaps being automatically updated (LP: #1862158)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 11 Feb 2020 12:07:52 +1300

gnome-software (3.35.2-0ubuntu1) focal; urgency=medium

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 29 Jan 2020 15:15:58 +1300

gnome-software (3.34.2-1ubuntu1) focal; urgency=medium

  * Rebased on Debian, remaining Ubuntu changes:
    - Add an "ubuntu-software" package with some branding for Ubuntu.
    - debian/patches/*.patch:
      - Various Ubuntu changes from ubuntu-master  branch - see patch headers
        for more information.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 14 Jan 2020 14:34:38 +1300

gnome-software (3.34.2-1) unstable; urgency=medium

  * debian/rules: Use filter instead of findstring to detect the architecture,
    this will avoid matching partial names like ppc64 and ppc64el
  * New upstream release
    - debian/patches/series: Disable d/p/0011-Support-snap-channels.patch patch
      for now, it doesn't apply cleanly anymore
  * debian/control.in: Drop gnome-packagekit-session transitional package,
    this was released with stretch. (Closes: #939207)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Dec 2019 18:17:52 +0100

gnome-software (3.34.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (3.31.90)
  * Drop 5 patches applied in new release
  * Build-Depend on libgoa-1.0-dev & libxmlb-dev
  * Drop obsolete Build-Depends on libsecret-1-dev

  [ Andreas Henriksson ]
  * New upstream release (3.34.0)
  * Bump build-dependencies as per meson.build
  * Update debian/changelog
  * Drop d/p/0020-details-page-Don-t-show-missing-screenshot-placehold.patch.
    Obsoleted by upstream commit abdf04b4f1e44449ea8288ac7e102c0e8cb1d533
    "Refactor screenshots and hide those unavailable when offline"
  * Massage d/p/0011-Support-snap-channels.patch to apply
  * Let quilt refresh d/p/0011-Support-snap-channels.patch
  * Let quilt refresh
    d/p/0021-details-Use-custom-icon-for-verified-developers.patch

  [ Laurent Bigonville ]
  * debian/control.in: Bump libsnapd-glib-dev to 1.54 to avoid a bug in the
    .pc file not setting the include directory
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 Dec 2019 13:55:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
                appstream-util,
@@ -15,28 +16,32 @@
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                libappstream-glib-dev (>= 0.7.14),
-               libflatpak-dev (>= 0.99.3) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+               libflatpak-dev (>= 1.0.4) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libfwupd-dev (>= 1.0.3) [linux-any],
                libglib2.0-dev (>= 2.56.0),
                libgnome-desktop-3-dev (>= 3.18.0),
+               libgoa-1.0-dev,
                libgspell-1-dev,
                libgtk-3-dev (>= 3.22.4),
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev (>= 1.2.0),
+               libostree-dev,
                libpackagekit-glib2-dev (>= 1.1.11),
                libpolkit-gobject-1-dev,
-               libsecret-1-dev,
-               libsnapd-glib-dev (>= 1.45) [amd64 arm64 armel armhf i386 ppc64el s390x],
+               libsnapd-glib-dev (>= 1.54) [amd64 arm64 armel armhf i386 ppc64el s390x],
                libsoup2.4-dev (>= 2.52.0),
+               libxmlb-dev (>= 0.1.7),
                libxml2-utils,
-               meson (>= 0.40),
+               meson (>= 0.46),
                pkg-config,
                valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
+Standards-Version: 4.4.1
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-software
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-software -b ubuntu/focal
 Homepage: https://wiki.gnome.org/Apps/Software
 
 Package: gnome-software
@@ -50,8 +55,6 @@
          software-properties-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: gnome-packagekit-session (<< 3.16.0-2~)
-Breaks: gnome-packagekit-session (<< 3.16.0-2~)
 Conflicts: sessioninstaller
 Recommends: ${plugin:Recommends},
             fwupd [linux-any]
@@ -119,18 +122,6 @@
  .
  This package contains the Snap plugin.
 
-Package: gnome-packagekit-session
-Architecture: all
-Section: oldlibs
-Depends: gnome-software (>= ${source:Version}),
-         ${misc:Depends}
-Description: Transitional package (gnome-packagekit-session -> gnome-software)
- Transitional dummy package replacing gnome-packagekit-session with
- gnome-software.
- .
- The PackageKit session interface is no separate component anymore, but built
- into GNOME-Software.
-
 Package: gnome-software-dev
 Section: libdevel
 Architecture: any
@@ -157,3 +148,17 @@
  .
  This package contains documentation for use when developing plugins for
  Software.
+
+Package: ubuntu-software
+Architecture: all
+Depends: gnome-software (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Utility for browsing, installing, and removing software
+ Ubuntu Software lets you browse and install the applications available for
+ Ubuntu. You can view available software by category, or search by name
+ or description. You can also examine the software already installed, and
+ remove items you no longer need.
+ .
+ To install or remove software using Ubuntu Software, you need administrator
+ access on the computer.

## gnome-software 3.36.0

=== debian/changelog ===
gnome-software (3.36.0-0ubuntu3) focal; urgency=medium

  * debian/patches/0026-Add-a-dialog-to-log-into-the-snap-store.patch:
    - Fix FTBFS on riscv64 where snap support is disabled

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 17 Apr 2020 10:03:17 +1200

gnome-software (3.36.0-0ubuntu2) focal; urgency=medium

  * debian/patches/0001-Mark-featured-AppStream-snippets-as-append-merge-com.patch:
    - Fix invalid appstream data that causes APT to emit a warning
      (LP: #1872258)
  * debian/control:
  * debian/ubuntu-software.install:
  * debian/ubuntu-software.links:
  * debian/icons/*:
  * debian/patches/0014-build-Translate-Ubuntu-s-.desktop-file.patch:
    - Remove ubuntu-software package - now provided by snap-store snap
      (LP: #1872111)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 16 Apr 2020 16:20:21 +1200

gnome-software (3.36.0-0ubuntu1) focal; urgency=medium

  * New upstream release (LP: #1870991)
  * debian/patches/0026-Add-a-dialog-to-log-into-the-snap-store.patch:
    - Add a GUI to do log in and out of the store
  * debian/patches/0027-snap-Don-t-allow-system-snaps-to-be-uninstalled.patch:
    - Don't allow system snaps to be uninstalled

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 06 Apr 2020 09:24:13 +1200

=== debian/control ===
--- 
+++ 
@@ -154,11 +154,5 @@
 Depends: gnome-software (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Description: Utility for browsing, installing, and removing software
- Ubuntu Software lets you browse and install the applications available for
- Ubuntu. You can view available software by category, or search by name
- or description. You can also examine the software already installed, and
- remove items you no longer need.
- .
- To install or remove software using Ubuntu Software, you need administrator
- access on the computer.
+Description: transitional dummy package
+ This is a transitional dummy package, it can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 	-Dpackagekit_autoremove=true \
 	-Drpm_ostree=false \
 	-Dubuntu_reviews=false \
+	-Dmalcontent=false \
+	-Dhardcoded_popular=false
 
 # these are conditionally re-enabled later
 GS_CONFIGURE_FLAGS += \
@@ -24,7 +26,7 @@
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	# Enable Flatpak support on supported architectures
-	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
+	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
 		GS_CONFIGURE_FLAGS += -Dflatpak=true
 	endif
 
@@ -35,12 +37,12 @@
 	GS_CONFIGURE_FLAGS += -Dfwupd=true
 
 	# Enable snap support on supported architectures
-	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
+	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
 		GS_CONFIGURE_FLAGS += -Dsnap=true
 	endif
 
 	# Enable valgrind support on supported architectures
-	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64el s390x))
+	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64el s390x))
 		GS_CONFIGURE_FLAGS += -Dvalgrind=true
 	endif
 endif

## gnome-software 3.36.1

=== meson_options.txt ===
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('gspell', type : 'boolean', value : true, description : 'enable gspell')
option('gnome_desktop', type : 'boolean', value : true, description : 'enable gnome-desktop')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('packagekit', type : 'boolean', value : true, description : 'enable PackageKit support')
option('packagekit_autoremove', type : 'boolean', value : false, description : 'autoremove packages in PackageKit')
option('polkit', type : 'boolean', value : true, description : 'enable PolKit support')
option('eos_updater', type : 'boolean', value : false, description : 'enable eos-updater support')
option('fwupd', type : 'boolean', value : true, description : 'enable fwupd support')
option('flatpak', type : 'boolean', value : true, description : 'enable Flatpak support')
option('malcontent', type : 'boolean', value : true, description : 'enable parental controls support using libmalcontent')
option('rpm_ostree', type : 'boolean', value : false, description : 'enable rpm-ostree support')
option('odrs', type : 'boolean', value : true, description : 'enable ODRS support')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('snap', type : 'boolean', value : false, description : 'enable Snap support')
option('external_appstream', type : 'boolean', value : false, description : 'enable external AppStream support')
option('valgrind', type : 'boolean', value : true, description : 'enable Valgrind debugging integration')
option('gtk_doc', type : 'boolean', value : true, description : 'enable API reference')
option('hardcoded_popular', type : 'boolean', value : true, description : 'enable hardcoded-popular apps plugin')
option('default_featured_apps', type : 'boolean', value : true, description : 'enable installation of default featured apps list')
option('mogwai', type : 'boolean', value : false, description : 'enable metered data support using Mogwai')

=== debian/changelog ===
gnome-software (3.36.1-0ubuntu0.20.04.1) focal; urgency=medium

  * no change rebuild with libxmlb 0.3.6, which bump from libxmlb1 to
    libxmlb2. (LP: #1980334, LP: #1984840)
  * Also build-depends on fwupd 1.7.9 to make sure everything is
    consistant.

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Mon, 08 Aug 2022 03:08:45 +0000

gnome-software (3.36.1-0ubuntu0.20.04.0) focal; urgency=medium

  * New upstream release (LP: #1881918)
  * debian/patches/0001-Mark-featured-AppStream-snippets-as-append-merge-com.patch:
    - Applid upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 17 Jun 2020 12:34:20 +1200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream,
                appstream-util,
                debhelper-compat (= 12),
@@ -17,7 +17,7 @@
                gtk-doc-tools,
                libappstream-glib-dev (>= 0.7.14),
                libflatpak-dev (>= 1.0.4) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
-               libfwupd-dev (>= 1.0.3) [linux-any],
+               libfwupd-dev (>= 1.7.9) [linux-any],
                libglib2.0-dev (>= 2.56.0),
                libgnome-desktop-3-dev (>= 3.18.0),
                libgoa-1.0-dev,
@@ -30,7 +30,7 @@
                libpolkit-gobject-1-dev,
                libsnapd-glib-dev (>= 1.54) [amd64 arm64 armel armhf i386 ppc64el s390x],
                libsoup2.4-dev (>= 2.52.0),
-               libxmlb-dev (>= 0.1.7),
+               libxmlb-dev (>= 0.3.6),
                libxml2-utils,
                meson (>= 0.46),
                pkg-config,

## gnome-software 3.36.1-0ubuntu0.20.04.1%2B10.0trisquel1

=== debian/changelog ===
gnome-software (3.36.1-0ubuntu0.20.04.1+10.0trisquel1) nabia; urgency=medium

  * Disable snap plugin support in Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 11 Sep 2024 12:52:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
                appstream-util,
                debhelper-compat (= 12),

=== debian/rules ===
--- 
+++ 
@@ -34,11 +34,11 @@
 	GS_CONFIGURE_FLAGS += -Dgudev=true
 	
 	# Enable fwupd support on Linux
-	GS_CONFIGURE_FLAGS += -Dfwupd=true
+	GS_CONFIGURE_FLAGS += -Dfwupd=false
 
 	# Enable snap support on supported architectures
 	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
-		GS_CONFIGURE_FLAGS += -Dsnap=true
+		GS_CONFIGURE_FLAGS += -Dsnap=false
 	endif
 
 	# Enable valgrind support on supported architectures
@@ -51,9 +51,9 @@
 FREE_REPOS = \'@DISTRO@-*-main\'
 FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
-	DISTRO_ID = ubuntu
-	FREE_REPOS = \'@DISTRO@-*-main\', \'@DISTRO@-*-universe\'
-	FREE_URL = https:\/\/www.ubuntu.com\/about\/about-ubuntu\/licensing
+	DISTRO_ID = trisquel
+	FREE_REPOS = \'@DISTRO@-*-main\'
+	FREE_URL = https:\/\/trisquel.info\/legal
 else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
 	DISTRO_ID = tanglu
 else ifeq (yes,$(shell dpkg-vendor --derives-from PureOS && echo yes))
@@ -102,11 +102,7 @@
 override_dh_auto_test:
 
 override_dh_gencontrol:
-ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
-	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-snap [linux-any]'
-else
-	dh_gencontrol -- -Vplugin:Suggests='gnome-software-plugin-snap [linux-any]'
-endif
+	dh_gencontrol
 
 override_dh_clean:
 	rm -f debian/gnome-software.gsettings-override

## gnome-software 3.38.0

=== debian/changelog ===
gnome-software (3.38.0-2build1) groovy; urgency=medium

  * No-change rebuild for translations

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 08 Oct 2020 14:35:54 +0200

gnome-software (3.38.0-2) unstable; urgency=medium

  * Team upload

  [ Gunnar Hjalmarsson ]
  * d/control changes needed for Ubuntu's language packs:
    - Set X-Ubuntu-Use-Langpack header
    - Add policykit-1 to Build-Depends to make xgettext able to handle
      org.gnome.software.external-appstream.policy.in.in

  [ Simon McVittie ]
  * d/rules: Remove unused files even in purely arch-indep builds.
    This fixes FTBFS (from dh_missing --fail-missing) when only building
    the arch-indep packages.

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Oct 2020 18:42:42 +0100

gnome-software (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * debian/rules: Remove libgnomesoftware.a

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 05 Oct 2020 12:25:03 +0200

gnome-software (3.36.1-2) unstable; urgency=medium

  * Enable malcontent on supported architectures

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jul 2020 18:24:31 +0200

gnome-software (3.36.1-1) unstable; urgency=medium

  * New upstream release
    - Drop patches that were cherry-picked from upstream

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Jun 2020 11:25:25 +0200

gnome-software (3.36.0-3) unstable; urgency=medium

  * Fix missing icons in the store, patch from upstream.
    Thanks to Matthias Klumpp <matthias@tenstral.net>
  * Do not fail to load the appstream plugin if any of the metadata
    directories doesn't exist (Closes: #958915)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Apr 2020 15:13:57 +0200

gnome-software (3.36.0-2) unstable; urgency=medium

  * Add fix-appstream-featured-data.patch
    - This restores a regression fix that was accidentally reverted
      in the 3.36.0 release. The issue caused invalid AppStream data to
      be added to the global metadata pool, resulting in a confusing
      warning to people using APT or an AppStream cache (Closes: #932747)

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Apr 2020 18:16:58 +0200

gnome-software (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Mar 2020 14:35:17 +0100

gnome-software (3.35.91-1) experimental; urgency=medium

  * New upstream release
    - Drop d/p/0001-gs-appstream-Fix-loading-of-icons-from-AppStream-YAM.patch
      and d/p/snap-Don-t-try-to-get-alternatives-for-non-snaps.patch, applied
      upstream
    - debian/control.in: Add libostree-dev to the build-dependencies as it's
      explicityly required by flatpak plugin now
    - debian/gnome-software.install: Remove the banner editor, it's now a
      standalone app
    - debian/control.in: Bump minimal meson to 0.47
  * Disable malcontent for now as it's not in the archive yet
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Mar 2020 13:33:18 +0100

gnome-software (3.34.2-2) unstable; urgency=medium

  * Stop overriding libexecdir and move the daemons to /usr/libexec now that
    this is allowed in the debian policy
  * d/p/0001-gs-appstream-Fix-loading-of-icons-from-AppStream-YAM.patch:
    Fix loading of icons from AppStream YAM (Thanks to Robert Ancell)
  * d/p/snap-Don-t-try-to-get-alternatives-for-non-snaps.patch: Do not try to
    manage alternative for non-snaps applications (Closes: #947237)
  * debian/control.in: Add the needed -doc packages to the build-dependencies
    so the links between the documentation files are properly resolved
  * debian/control.in: Add Build-Profiles <!nodoc> for the -doc package

 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Mar 2020 11:39:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
 Build-Depends: appstream,
                appstream-util,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                docbook-xsl,
                gnome-pkg-tools (>= 0.10),
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                libappstream-glib-dev (>= 0.7.14),
                libflatpak-dev (>= 1.0.4) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
-               libfwupd-dev (>= 1.7.9) [linux-any],
+               libfwupd-dev (>= 1.0.3) [linux-any],
                libglib2.0-dev (>= 2.56.0),
                libgnome-desktop-3-dev (>= 3.18.0),
                libgoa-1.0-dev,
@@ -25,24 +24,31 @@
                libgtk-3-dev (>= 3.22.4),
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev (>= 1.2.0),
-               libostree-dev,
+               libostree-dev [linux-any],
+               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libpackagekit-glib2-dev (>= 1.1.11),
                libpolkit-gobject-1-dev,
                libsnapd-glib-dev (>= 1.54) [amd64 arm64 armel armhf i386 ppc64el s390x],
                libsoup2.4-dev (>= 2.52.0),
-               libxmlb-dev (>= 0.3.6),
                libxml2-utils,
-               meson (>= 0.46),
+               libxmlb-dev (>= 0.1.7),
+               meson (>= 0.47),
                pkg-config,
+               policykit-1,
                valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
                xsltproc
+Build-Depends-Indep: appstream-glib-doc <!nodoc>,
+                     libgdk-pixbuf2.0-doc <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
+                     libgtk-3-doc <!nodoc>,
+                     libjson-glib-doc <!nodoc>,
+                     libsoup2.4-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-software
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-software -b ubuntu/focal
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://wiki.gnome.org/Apps/Software
+X-Ubuntu-Use-Langpack: yes
 
 Package: gnome-software
 Architecture: any
@@ -56,8 +62,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: sessioninstaller
-Recommends: ${plugin:Recommends},
-            fwupd [linux-any]
+Recommends: fwupd [linux-any], ${plugin:Recommends}
 Suggests: apt-config-icons-hidpi,
           gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
           ${plugin:Suggests}
@@ -86,7 +91,7 @@
  This package contains the architecture-independent files.
 
 Package: gnome-software-plugin-flatpak
-Architecture: amd64 arm64 armel armhf i386 mips mips64el ppc64el s390x hppa powerpc powerpcspe ppc64
+Architecture: amd64 arm64 armel armhf hppa i386 mips mips64el powerpc powerpcspe ppc64 ppc64el s390x
 Depends: flatpak,
          gnome-software (= ${binary:Version}),
          ${misc:Depends},
@@ -143,16 +148,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Description: Software Center for GNOME - documentation
  Software lets you install and update applications and system extensions.
  .
  This package contains documentation for use when developing plugins for
  Software.
-
-Package: ubuntu-software
-Architecture: all
-Depends: gnome-software (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: transitional dummy package
- This is a transitional dummy package, it can be safely removed.

## gnome-software 3.38.1

=== debian/changelog ===
gnome-software (3.38.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix package details not found for some packages
    - Ignore harmless warnings when using unusual fwupd versions
    - Translation updates
  * Drop patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Feb 2021 15:08:20 +0000

gnome-software (3.38.0-3) unstable; urgency=medium

  * Add an upstream patch to fix offline updates (Closes: #972506)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 23 Dec 2020 09:33:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
 Build-Depends: appstream,
                appstream-util,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -14,31 +14,30 @@
 	-Dpackagekit_autoremove=true \
 	-Drpm_ostree=false \
 	-Dubuntu_reviews=false \
-	-Dmalcontent=false \
-	-Dhardcoded_popular=false
 
 # these are conditionally re-enabled later
 GS_CONFIGURE_FLAGS += \
 	-Dfwupd=false \
 	-Dflatpak=false \
 	-Dgudev=false \
+	-Dmalcontent=false \
 	-Dvalgrind=false
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	# Enable Flatpak support on supported architectures
 	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
-		GS_CONFIGURE_FLAGS += -Dflatpak=true
+		GS_CONFIGURE_FLAGS += -Dflatpak=true -Dmalcontent=true
 	endif
 
 	# Enable GUdev support on Linux
 	GS_CONFIGURE_FLAGS += -Dgudev=true
 	
 	# Enable fwupd support on Linux
-	GS_CONFIGURE_FLAGS += -Dfwupd=false
+	GS_CONFIGURE_FLAGS += -Dfwupd=true
 
 	# Enable snap support on supported architectures
 	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
-		GS_CONFIGURE_FLAGS += -Dsnap=false
+		GS_CONFIGURE_FLAGS += -Dsnap=true
 	endif
 
 	# Enable valgrind support on supported architectures
@@ -51,9 +50,9 @@
 FREE_REPOS = \'@DISTRO@-*-main\'
 FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
-	DISTRO_ID = trisquel
-	FREE_REPOS = \'@DISTRO@-*-main\'
-	FREE_URL = https:\/\/trisquel.info\/legal
+	DISTRO_ID = ubuntu
+	FREE_REPOS = \'@DISTRO@-*-main\', \'@DISTRO@-*-universe\'
+	FREE_URL = https:\/\/www.ubuntu.com\/about\/about-ubuntu\/licensing
 else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
 	DISTRO_ID = tanglu
 else ifeq (yes,$(shell dpkg-vendor --derives-from PureOS && echo yes))
@@ -64,8 +63,7 @@
 	dh $@ --with gnome
 
 override_dh_auto_configure:
-	dh_auto_configure -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-software/ \
-			     $(GS_CONFIGURE_FLAGS)
+	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)
 
 override_dh_auto_install:
 	dh_auto_install
@@ -79,11 +77,12 @@
 	sed -i "s/@URL@/$(FREE_URL)/g" debian/gnome-software.gsettings-override
 	dh_installgsettings
 
-override_dh_install-arch:
+override_dh_install:
 	# Remove unused files
 	rm -f debian/tmp/usr/lib/*/gs-plugins-*/*.a
 	rm -f debian/tmp/usr/lib/*/gs-plugins-*/*.la
 	rm -f debian/tmp/usr/lib/*/gs-plugins-*/libgs_plugin_fedora*
+	rm -f debian/tmp/usr/lib/*/libgnomesoftware.a
 	dh_install
 
 override_dh_missing:
@@ -102,7 +101,11 @@
 override_dh_auto_test:
 
 override_dh_gencontrol:
-	dh_gencontrol
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-snap [linux-any]'
+else
+	dh_gencontrol -- -Vplugin:Suggests='gnome-software-plugin-snap [linux-any]'
+endif
 
 override_dh_clean:
 	rm -f debian/gnome-software.gsettings-override
